CMSIS-DSP: distance_functions.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
distance_functions.h File Reference

## Functions

float32_t | arm_euclidean_distance_f32 (const float32_t *pA, const float32_t *pB, uint32_t blockSize)
| Euclidean distance between two vectors. More...
float64_t | arm_euclidean_distance_f64 (const float64_t *pA, const float64_t *pB, uint32_t blockSize)
| Euclidean distance between two vectors. More...
float32_t | arm_braycurtis_distance_f32 (const float32_t *pA, const float32_t *pB, uint32_t blockSize)
| Bray-Curtis distance between two vectors. More...
float32_t | arm_canberra_distance_f32 (const float32_t *pA, const float32_t *pB, uint32_t blockSize)
| Canberra distance between two vectors. More...
float32_t | arm_chebyshev_distance_f32 (const float32_t *pA, const float32_t *pB, uint32_t blockSize)
| Chebyshev distance between two vectors. More...
float64_t | arm_chebyshev_distance_f64 (const float64_t *pA, const float64_t *pB, uint32_t blockSize)
| Chebyshev distance between two vectors. More...
float32_t | arm_cityblock_distance_f32 (const float32_t *pA, const float32_t *pB, uint32_t blockSize)
| Cityblock (Manhattan) distance between two vectors. More...
float64_t | arm_cityblock_distance_f64 (const float64_t *pA, const float64_t *pB, uint32_t blockSize)
| Cityblock (Manhattan) distance between two vectors. More...
float32_t | arm_correlation_distance_f32 (float32_t *pA, float32_t *pB, uint32_t blockSize)
| Correlation distance between two vectors. More...
float32_t | arm_cosine_distance_f32 (const float32_t *pA, const float32_t *pB, uint32_t blockSize)
| Cosine distance between two vectors. More...
float64_t | arm_cosine_distance_f64 (const float64_t *pA, const float64_t *pB, uint32_t blockSize)
| Cosine distance between two vectors. More...
float32_t | arm_jensenshannon_distance_f32 (const float32_t *pA, const float32_t *pB, uint32_t blockSize)
| Jensen-Shannon distance between two vectors. More...
float32_t | arm_minkowski_distance_f32 (const float32_t *pA, const float32_t *pB, int32_t order, uint32_t blockSize)
| Minkowski distance between two vectors. More...
float32_t | arm_dice_distance (const uint32_t *pA, const uint32_t *pB, uint32_t numberOfBools)
| Dice distance between two vectors. More...
float32_t | arm_hamming_distance (const uint32_t *pA, const uint32_t *pB, uint32_t numberOfBools)
| Hamming distance between two vectors. More...
float32_t | arm_jaccard_distance (const uint32_t *pA, const uint32_t *pB, uint32_t numberOfBools)
| Jaccard distance between two vectors. More...
float32_t | arm_kulsinski_distance (const uint32_t *pA, const uint32_t *pB, uint32_t numberOfBools)
| Kulsinski distance between two vectors. More...
float32_t | arm_rogerstanimoto_distance (const uint32_t *pA, const uint32_t *pB, uint32_t numberOfBools)
| Roger Stanimoto distance between two vectors. More...
float32_t | arm_russellrao_distance (const uint32_t *pA, const uint32_t *pB, uint32_t numberOfBools)
| Russell-Rao distance between two vectors. More...
float32_t | arm_sokalmichener_distance (const uint32_t *pA, const uint32_t *pB, uint32_t numberOfBools)
| Sokal-Michener distance between two vectors. More...
float32_t | arm_sokalsneath_distance (const uint32_t *pA, const uint32_t *pB, uint32_t numberOfBools)
| Sokal-Sneath distance between two vectors. More...
float32_t | arm_yule_distance (const uint32_t *pA, const uint32_t *pB, uint32_t numberOfBools)
| Yule distance between two vectors. More...